MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024142Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2013-09-04 12:562013-12-19 13:58
Reporteremv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.6.0 
Target Version[OCCT] 6.7.0Fixed in Version[OCCT] 6.7.0 
Summary0024142: Wrong section curve
DescriptionIntersection algorithm produces wrong intersection curve between two surfaces.

The problem has been detected in the test case bugs moddata_1 bug152_1.
Steps To Reproducerestore [locate_data_file OCC152.brep] sh
explode sh f
mksurf s1 sh_3
mksurf s2 sh_5
trim st1 s1 0 6.28318530717959 0 74.9999999999999
trim st2 s2 0 6.28318530717959 -74.0551172696384 125.944882730362
don st1 st2; fit
intersect i st1 st2
xdistcs i st2 0 1 10
TagsNo tags attached.
Test case numberbugs moddata_3(013) bug24142
Attached Files

- Relationships

-  Notes
(0025659)
azv (developer)
2013-09-19 17:38

Branch CR24142.
Changed intersection of two cones which has almost the same axis of revolution. There is added normalization of vectors before projecting the apex of one cone to the axis of revolution of another cone.
(0025661)
ifv (developer)
2013-09-19 17:52

OK
(0025755)
mkv (tester)
2013-09-26 17:09

Dear BugMaster,

Branch CR24142 (and products from GIT master) was compiled on Linux and Windows platforms and tested.


Number of compiler warnings:

occt component :
Linux: 508 (506 on master)
Windows: 31 (31 on master)

products component :
Linux: 190 (190 on master)
Windows: 287 (287 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
http://occt-tests/CR24142-1-master-occt/Debian60-64/bugs/moddata_3/bug24142.html [^]
http://occt-tests/CR24142-1-master-occt/Windows-32-VC9/bugs/moddata_3/bug24142.html [^]
bugs moddata_3(013) bug24142: OK

Testing on Linux:
Total MEMORY difference: 366099696 / 366214620
Total CPU difference: 43416.700000000536 / 42280.160000000964

Testing on Windows:
Total MEMORY difference: 430052304 / 429010504
Total CPU difference: 29463.015625 / 48288.109375

There are not differences in images found by testdiff.

- Related Changesets
occt: master b045e6a4
Timestamp: 2013-09-26 16:34:09
Author: azv
Committer: bugmaster
Details ] Diff ]
0024142: Wrong section curve
Modified intersection of two conical surfaces with almost the same axis of revolution
Test cases for issue CR24142
mod - src/IntAna/IntAna_QuadQuadGeo.cxx Diff ] File ]
mod - tests/bugs/modalg_5/bug24035 Diff ] File ]
add - tests/bugs/moddata_3/bug24142 Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-09-04 12:56 emv New Issue
2013-09-04 12:56 emv Assigned To => ifv
2013-09-10 18:16 ifv Assigned To ifv => azv
2013-09-19 17:38 azv Note Added: 0025659
2013-09-19 17:38 azv Assigned To azv => ifv
2013-09-19 17:38 azv Status new => resolved
2013-09-19 17:52 ifv Note Added: 0025661
2013-09-19 17:52 ifv Status resolved => reviewed
2013-09-20 08:58 mkv Assigned To ifv => mkv
2013-09-26 10:26 bugmaster Target Version => 6.7.0
2013-09-26 17:09 mkv Note Added: 0025755
2013-09-26 17:10 mkv Test case number => bugs moddata_3(013) bug24142
2013-09-26 17:10 mkv Assigned To mkv => bugmaster
2013-09-26 17:10 mkv Status reviewed => tested
2013-09-30 15:53 bugmaster Changeset attached => occt master b045e6a4
2013-09-30 15:53 bugmaster Status tested => verified
2013-09-30 15:53 bugmaster Resolution open => fixed
2013-12-19 13:52 bugmaster Status verified => closed
2013-12-19 13:58 bugmaster Fixed in Version => 6.7.0


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker